JMSNotificationType (ActiveMQ Artemis Web 1.1.0.wildfly-010 API)
Date: 2015-12-18

org.apache.activemq.artemis.jms.server.management

## Enum JMSNotificationType

- java.lang.Object
- - java.lang.Enum<JMSNotificationType>
  - - org.apache.activemq.artemis.jms.server.management.JMSNotificationType

- All Implemented Interfaces:
    Serializable, Comparable<JMSNotificationType>, NotificationType

      public enum JMSNotificationType
      extends Enum<JMSNotificationType>
      implements NotificationType

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONNECTION_FACTORY_CREATED`
    `CONNECTION_FACTORY_DESTROYED`
    `QUEUE_CREATED`
    `QUEUE_DESTROYED`
    `TOPIC_CREATED`
    `TOPIC_DESTROYED`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static SimpleString` | `MESSAGE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getType()`
    `static JMSNotificationType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JMSNotificationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### QUEUE_CREATED

          public static final JMSNotificationType QUEUE_CREATED

    - #### QUEUE_DESTROYED

          public static final JMSNotificationType QUEUE_DESTROYED

    - #### TOPIC_CREATED

          public static final JMSNotificationType TOPIC_CREATED

    - #### TOPIC_DESTROYED

          public static final JMSNotificationType TOPIC_DESTROYED

    - #### CONNECTION_FACTORY_CREATED

          public static final JMSNotificationType CONNECTION_FACTORY_CREATED

    - #### CONNECTION_FACTORY_DESTROYED

          public static final JMSNotificationType CONNECTION_FACTORY_DESTROYED

  - ### Field Detail

    - #### MESSAGE

          public static final SimpleString MESSAGE

  - ### Method Detail

    - #### values

          public static JMSNotificationType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JMSNotificationType c : JMSNotificationType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JMSNotificationType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getType

          public int getType()

      Specified by:
        `getType` in interface `NotificationType`

Copyright © 2015. All rights reserved.